XSetTransientForHint(3)

NAME
XSetTransientForHint, XGetTransientForHint - set or read a window's WM_TRANSIENT_FOR property

SYNTAX

int XSetTransientForHint(Display *display, Window w, Window prop_window);

Status XGetTransientForHint(Display *display, Window w, Window *prop_window_return);

ARGUMENTS

display
    Specifies the connection to the X server.

w   Specifies the window.

prop_window
    Specifies the window that the WM_TRANSIENT_FOR property is to be set to.

prop_window_return
    Returns the WM_TRANSIENT_FOR property of the specified window.

DESCRIPTION
The XSetTransientForHint function sets the WM_TRANSIENT_FOR property of the specified window to the specified prop_window.

XSetTransientForHint can generate BadAlloc and BadWindow errors.

The XGetTransientForHint function returns the WM_TRANSIENT_FOR property for the specified window. It returns a nonzero status on success; otherwise, it returns a zero status.

XGetTransientForHint can generate a BadWindow error.

PROPERTIES

WM_TRANSIENT_FOR
    Set by application programs to indicate to the window manager that a transient top-level window, such as a dialog box.

DIAGNOSTICS

BadAlloc
    The server failed to allocate the requested resource or server memory.

BadWindow
    A value for a Window argument does not name a defined Window.

SEE ALSO
XAllocClassHint(3), XAllocIconSize(3), XAllocSizeHints(3), XAllocWMHints(3), XSetCommand(3), XSetTextProperty(3), XSetWMClientMachine(3), XSetWMColormapWindows(3), XSetWMIconName(3), XSetWMName(3), XSetWMProperties(3), XSetWMProtocols(3), XStringListToTextProperty(3)
Xlib - C Language X Interface